SCRIPTLIVE(1)

BEZEICHNUNG
scriptlive - Sitzungs-Eingabeskripte unter Verwendung von Timing-Informationen wiedergeben

ÜBERSICHT

scriptlive [options] timingfile typescript

BESCHREIBUNG

Dieses Programm gibt ein Eingabeskript aus der Standardeingabe wieder und stellt über die Timing-Informationen sicher, dass die Ausgabe im gleichen Rhythmus wie bei der ursprünglichen Aufzeichnung des Skripts erfolgt.

Die Sitzung wird mit der $SHELL des Benutzers in neu erstellten Pseudo-Terminals ausgeführt (oder standardmäßig /bin/bash).

Be careful! The typescript may contain arbitrary commands. It is recommended to use "scriptreplay --stream in --log-in typescript" (or with --log-io instead of --log-in) to verify the typescript before it is executed with scriptlive.

The timing information is what script(1) outputs to the file specified by --log-timing. The typescript has to contain stdin information, and is what script(1) outputs to the file specified by --log-in or --log-io.

OPTIONEN

-I, --log-in Datei
    gibt die Datei an, welche die Terminaleingaben von script enthält.

-B, --log-io Datei
    gibt die Datei an, welche die Terminalaus- und -eingaben von script enthält.

-E, --echo wann
    This option controls the ECHO flag for the slave end of the session’s pseudoterminal. The supported modes are always, never, and auto.

    The default is auto — in which case ECHO is enabled. This default behavior is subject to change.

-t, --timing Datei
    File containing script's timing output. This option replaces the timingfile positional argument.

-T, --log-timing Datei
    An alias for -t; maintained for compatibility with the script(1) command-line options.

-d, --divisor Faktor
    skaliert die Wiedergabegeschwindigkeit um den angegebenen Faktor. Das Argument ist eine Gleitkommazahl. Diese Option setzt Argumente im klassischen Stil außer Kraft.

-m, --maxdelay Anzahl
    gibt die maximale Verzögerung zwischen den Aktualisierungen des Skripts als Anzahl in Sekunden an. Das Argument ist eine Gleitkommazahl. Damit können Sie lange Pausen in der Wiedergabe des Eingabeskripts vermeiden.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    Display version and exit.

BEISPIELE

    % script --log-timing file.tm --log-in script.in
    Skript gestartet, Datei ist script.out
    % date
    <etc, etc>
    % exit
    Skript wurde beendet, Datei ist script.out
    % scriptlive --log-timing file.tm --log-in script.in

AUTOREN

COPYRIGHT

Copyright © 2019 Karel Zak

Dies ist freie Software, in den Quellen finden Sie die Bedingungen zur Vervielfältigung und Weitergabe. Es gibt KEINE Garantie, auch nicht für die MARKTREIFE oder die TAUGLICHKEIT FÜR EINEN BESTIMMTEN ZWECK.

Veröffentlicht unter den Bedingungen der GNU General Public License Version 2 oder neuer.

SIEHE AUCH

script(1), scriptreplay(1)

FEHLER MELDEN

For bug reports, use the

VERFÜGBARKEIT

Der Befehl scriptlive ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.